Bug 210685 - [exp-run] lang/python27: Update to 2.7.12
Summary: [exp-run] lang/python27: Update to 2.7.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-29 07:03 UTC by Wen Heping
Modified: 2016-07-05 09:07 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (python)
koobs: merge-quarterly?
koobs: exp-run+


Attachments
patch for lang/python27 update to 2.7.12 and devel/py-setuptools update to 23.1.0 (10.37 KB, text/plain)
2016-06-29 07:03 UTC, Wen Heping
no flags Details
Patch for databases/py-sqlite3 with setuptools-23, restore PORTREVISION (8.76 KB, text/plain)
2016-06-29 08:23 UTC, Wen Heping
no flags Details
New patch to fix py33-sqlite3 and others. (10.39 KB, text/plain)
2016-07-01 02:22 UTC, Wen Heping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2016-06-29 07:03:59 UTC
Created attachment 171938 [details]
patch for lang/python27 update to 2.7.12 and devel/py-setuptools update to 23.1.0

- Update lang/python27 to 2.7.12
- Update devel/py-setuptools to 23.1.0
Comment 1 Antoine Brodin freebsd_committer 2016-06-29 07:26:08 UTC
Why reset PORTREVISION in py-* ?  some versions will go backward (py34-* for instance)
Comment 2 Wen Heping freebsd_committer 2016-06-29 07:51:45 UTC
(In reply to Antoine Brodin from comment #1)
There is update for python34 and python35 too, while I am testing it.

But python33 which had been marked DEPRECATED has not new version,
if it is not safe, please resore the PORTREVISION of py-* ports.

wen
Comment 3 Antoine Brodin freebsd_committer 2016-06-29 08:16:41 UTC
yes please restore PORTREVISION if there is no python 3.3 update
Comment 4 Wen Heping freebsd_committer 2016-06-29 08:23:25 UTC
Created attachment 171940 [details]
Patch for databases/py-sqlite3 with setuptools-23, restore PORTREVISION
Comment 5 Wen Heping freebsd_committer 2016-06-29 08:23:51 UTC
(In reply to Wen Heping from comment #4)
Done.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-29 08:53:03 UTC
@Wen, could you remove the changes to setuptools from attachment as that update is already being tracked in bug 210636

Also, I believe Bernard is or has an update pending for Python 2.7.12, cc'ing.

Back to python@ until ready
Comment 7 Antoine Brodin freebsd_committer 2016-06-29 08:57:55 UTC
(In reply to Kubilay Kocak from comment #6)
it's faster for portmgr to do 1 exp-run not 2
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-29 09:32:17 UTC
(In reply to Antoine Brodin from comment #7)

We technically don't need to (nor have we) exp-run Python ports on each update. exp-run ? was only set as a candidate/option, and it can be removed

If combined changes are run in the same exp-run, it may obscure the underlying cause of the failure, particularly if there's interactions between the two changes

However, if it is in fact too burdensome, feel free to run them in the same exp-run, applying each patch from their respective issues

Given the setuptools changes applies to all versions of python (via the respective py-setuptoolsXY ports), they should be applied separately, and they dont/shouldnt block each other, hence the request in comment 6
Comment 9 Antoine Brodin freebsd_committer 2016-06-29 14:02:20 UTC
Take,  this looks ready for an exp-run from portmgr point of view.
Comment 10 Antoine Brodin freebsd_committer 2016-06-30 17:56:12 UTC
New failures due to setuptools 23.1.0:

+ {"origin"=>"databases/py33-sqlite3", "pkgname"=>"py33-sqlite3-3.3.6_7", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"databases/py34-sqlite3", "pkgname"=>"py34-sqlite3-3.4.5_7", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"databases/py35-sqlite3", "pkgname"=>"py35-sqlite3-3.5.1_7", "phase"=>"stage", "errortype"=>"???"}

failure logs:

http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/py33-sqlite3-3.3.6_7.log
http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/py34-sqlite3-3.4.5_7.log
http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/py35-sqlite3-3.5.1_7.log

New failures due to python 2.7.12:

+ {"origin"=>"lang/python-doc-html", "pkgname"=>"python-doc-html-2.7.12", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"lang/python-doc-pdf-a4", "pkgname"=>"python-doc-pdf-a4-2.7.12", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"lang/python-doc-pdf-letter", "pkgname"=>"python-doc-pdf-letter-2.7.12", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"lang/python-doc-text", "pkgname"=>"python-doc-text-2.7.12", "phase"=>"fetch", "errortype"=>"distinfo_update"}

failure logs:

http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/python-doc-html-2.7.12.log
http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/python-doc-pdf-a4-2.7.12.log
http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/python-doc-pdf-letter-2.7.12.log
http://package22.nyi.freebsd.org/data/103i386-default-PR210685/2016-06-30_17h36m54s/logs/errors/python-doc-text-2.7.12.log
Comment 11 Wen Heping freebsd_committer 2016-07-01 02:22:58 UTC
Created attachment 171990 [details]
New patch to fix py33-sqlite3 and others.
Comment 12 Wen Heping freebsd_committer 2016-07-01 02:28:56 UTC
I am sorry I request one more exp-run.

wen
Comment 13 Antoine Brodin freebsd_committer 2016-07-02 06:25:35 UTC
Exp-run looks fine.
Comment 14 Bernard Spil freebsd_committer 2016-07-02 10:01:13 UTC
Merged the setuptools, py-sqlite and py-bsddb patches into 
https://reviews.freebsd.org/D6994
Comment 15 commit-hook freebsd_committer 2016-07-03 00:11:14 UTC
A commit references this bug:

Author: wen
Date: Sun Jul  3 00:10:43 UTC 2016
New revision: 417945
URL: https://svnweb.freebsd.org/changeset/ports/417945

Log:
  - Update to version 2.7.12
  - Remove patch that is included upstream
  - Switch USE_OPENSSL to USES= ssl [1]
  - Update documentation for python27
  - Don't set CPE_VERSION, default is PORTVERSION [1]

  PR:		210685
  Submitted by:	wen@(myself), brnrd@ [1]
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D6994

Changes:
  head/lang/python-doc-html/distinfo
  head/lang/python27/Makefile
  head/lang/python27/Makefile.version
  head/lang/python27/distinfo
  head/lang/python27/files/patch-Modules_zipimport.c
  head/lang/python27/pkg-plist
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-03 05:18:39 UTC
2.7.12 fixes several vulnerabilities, and needs:

* Merge to quarterly
* VuXML entry
Comment 17 commit-hook freebsd_committer 2016-07-03 09:29:54 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jul  3 09:28:58 UTC 2016
New revision: 417962
URL: https://svnweb.freebsd.org/changeset/ports/417962

Log:
  security/vuxml: Add Python smtplib TLS stripping vuln

  PR:		210685
  Submitted by:	brnrd
  Security:	CVE-2016-0772
  Security:	8d5368ef-40fe-11e6-b2ec-b499baebfeaf

Changes:
  head/security/vuxml/vuln.xml
Comment 18 Mark Felder freebsd_committer 2016-07-03 15:46:06 UTC
(In reply to Kubilay Kocak from comment #16)

I approve the MFH
Comment 19 commit-hook freebsd_committer 2016-07-04 00:08:43 UTC
A commit references this bug:

Author: wen
Date: Mon Jul  4 00:08:08 UTC 2016
New revision: 418005
URL: https://svnweb.freebsd.org/changeset/ports/418005

Log:
  MFH: r417945

  - Update to version 2.7.12
  - Remove patch that is included upstream
  - Switch USE_OPENSSL to USES= ssl [1]
  - Update documentation for python27
  - Don't set CPE_VERSION, default is PORTVERSION [1]

  PR:		210685
  Submitted by:	wen@(myself), brnrd@ [1]
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D6994

  Approved by:	ports-secteam(feld@)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/lang/python-doc-html/distinfo
  branches/2016Q3/lang/python27/Makefile
  branches/2016Q3/lang/python27/Makefile.version
  branches/2016Q3/lang/python27/distinfo
  branches/2016Q3/lang/python27/files/patch-Modules_zipimport.c
  branches/2016Q3/lang/python27/pkg-plist